PYDOC(1)

NAME
pydoc - the Python documentation tool

SYNOPSIS
pydoc name
pydoc -k keyword
pydoc -p port
pydoc -g
pydoc -w module ...
pydoc --help

DESCRIPTION
pydoc shows text documentation on something related to python(1). The name argument may be the name of a Python keyword, topic, function, module, or package, or a dotted reference to a class or function within a module or module in a package. If name contains a '/', it is used as the path to a Python source file to document. If name is 'keywords', 'topics', or 'modules', a listing of these things is displayed.

OPTIONS

-k keyword
    Search for a keyword in the synopsis lines of all available modules.

-p port
    Start an HTTP server on the given port on the local machine.

-g  Pop up a graphical interface for finding and serving documentation.

-w module ...
    Write out the HTML documentation for a module to a file in the current directory. If module contains a '/', it is treated as a filename; if it names a directory, documentation is written for all the contents.

--help
    Prints out a help message.

AUTHOR
Moshe Zadka, based on "pydoc --help"

SEE ALSO
python(1)